Bug 814471 - [abrt] system-config-samba-1.2.96-1.fc17: connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 1
[abrt] system-config-samba-1.2.96-1.fc17: connection.py:630:call_blocking:DBu...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-samba (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
abrt_hash:fc15740ebe882d75044bfb92a6c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-19 18:36 EDT by netroby
Modified: 2013-08-01 03:08 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:47:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
AVC deniel (2.76 KB, text/plain)
2012-05-11 16:36 EDT, Karolis Dauzickas
no flags Details

  None (edit)
Description netroby 2012-04-19 18:36:56 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python /usr/bin/system-config-samba
executable:     /usr/bin/system-config-samba
kernel:         3.3.2-1.fc17.x86_64
time:           Fri 20 Apr 2012 06:36:26 AM CST
uid:            1000
username:       netroby

backtrace:
:connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 1
:
:Traceback (most recent call last):
:  File "/usr/bin/system-config-samba", line 56, in <module>
:    use_dbus=use_dbus)
:  File "/usr/share/system-config-samba/mainWindow.py", line 120, in __init__
:    self.samba_backend = sambaBackend.SambaBackend(bus=self._bus)
:  File "/usr/lib/python2.7/site-packages/scsamba/dbus/proxy/sambaBackend.py", line 38, in __init__
:    self.dbus_service_path)
:  File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 244, in get_object
:    follow_name_owner_changes=follow_name_owner_changes)
:  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 241, in __init__
:    self._named_service = conn.activate_name_owner(bus_name)
:  File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 183, in activate_name_owner
:    self.start_service_by_name(bus_name)
:  File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 281, in start_service_by_name
:    'su', (bus_name, flags)))
:  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 630, in call_blocking
:    message, timeout)
:DBusException: org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 1
:
:Local variables in innermost frame:
:byte_arrays: False
:self: <dbus._dbus.SystemBus (system) at 0x7f1d439536b0>
:args: ('org.fedoraproject.Config.Samba', 0)
:utf8_strings: False
:bus_name: 'org.freedesktop.DBus'
:get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
:object_path: '/org/freedesktop/DBus'
:timeout: -1.0
:signature: 'su'
:dbus_interface: 'org.freedesktop.DBus'
:message: <dbus.lowlevel.MethodCallMessage object at 0x7f1d43b73a68>
:method: 'StartServiceByName'

smolt_data:
:
:
:General
:=================================
:UUID: 260d5270-62d2-4b6d-95be-a4338d3178e7
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4390.23
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2670QM CPU @ 2.20GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 8
:CPU Speed: 2201
:System Memory: 7935
:System Swap: 9983
:Vendor: Hasee
:System: QTH6 03
:Form factor: Notebook
:Kernel: 3.3.2-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(5772:43:6715:4233) pci, ath9k, NETWORK, AR9285 Wireless Network Adapter (PCI-Express)
:(32902:7241:5421:2163) pci, None, PCI/ISA, HM65 Express Chipset Family LPC Controller
:(4358:13362:5421:2163) pci, xhci_hcd, USB, N/A
:(32902:278:5421:2163) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:5421:2163) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:5421:2163) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:5421:2163) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(4318:3572:5421:2163) pci, nouveau, VIDEO, GF106 [GeForce GT 555M SDDR3]
:(32902:7200:5421:2163) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7188:5421:2163) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 3
:(6505:4227:5421:2163) pci, atl1c, ETHERNET, AR8151 v2.0 Gigabit Ethernet
:(32902:7202:5421:2163) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:7171:5421:2163) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:5421:2163) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:5421:2163) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:5421:2163) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:5421:2163) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(32902:257:5421:2163) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_f17-lv_root / ext4 4096 4096 13092026 11948960 11817923 3276800 3143992 3143992
:/dev/sda2 /boot ext4 1024 1024 508745 432546 406946 128016 127722 127722
:/dev/mapper/vg_f17-lv_home /home ext4 4096 4096 106183268 104356987 99042018 26574848 26571065 26571065
:
Comment 1 mbastani_66 2012-05-06 03:48:12 EDT
I just started the application

Package: system-config-samba-1.2.96-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 2 Ross Kitchen 2012-05-07 16:42:00 EDT
Opened Samba config

Package: system-config-samba-1.2.96-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 3 romanb 2012-05-11 01:27:37 EDT
Tried to launch samba config for the first time.

Package: system-config-samba-1.2.96-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 4 frank.schletz 2012-05-11 04:18:02 EDT
try to start samba-config to check why i can't see shared dirs

Package: system-config-samba-1.2.96-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 5 Nils Philippsen 2012-05-11 05:57:35 EDT
Please try this: start the backend mechanism manually (as root), then start the frontend (as a normal user).

- as root: "/usr/share/system-config-samba/system-config-samba-mechanism.py"

- as normal user: "system-config-samba"

Please report back if this works, or if there are any error messages. Thanks.
Comment 6 Karolis Dauzickas 2012-05-11 06:30:24 EDT
When the two are started separately at least I don't encounter any errors.
When the mechanism script is ran as a normal user I complains about not being allowed to own samba service.

The bug seems to occur only when system-config-samba is ran as a normal user
Comment 7 Nils Philippsen 2012-05-11 10:12:15 EDT
(In reply to comment #6)
> When the two are started separately at least I don't encounter any errors.
> When the mechanism script is ran as a normal user I complains about not being
> allowed to own samba service.

This is expected and normal -- system-config-samba and other similar configuration tools are separated into an unprivileged graphical frontend which runs as the user and a privileged backend ("mechanism" in dbus-lingo) which runs as root and is allowed to (in this case) configure samba, restart the service and so forth. Usually it goes like this: you start the frontend, it connects to the system bus, asks for the backend and the dbus daemon starts the privileged backend -- which should be the same thing if you start the mechanism manually as root...

Do you have SELinux enabled/enforcing? Do you get any AVC/audit error messages?
Comment 8 Karolis Dauzickas 2012-05-11 16:36:56 EDT
Created attachment 583927 [details]
AVC deniel

When set to enforce - there's no indication of a denial however when set to permissive I receive the message in the attachment.


running `setsebool -P authlogin_nsswitch_use_ldap 1` fixes the problem
Comment 9 Piotr Maciejko 2012-05-12 18:41:59 EDT
Package system-config-samba crashes when I start it. I have to downgrade python and python-libs for fix this. I hope you fix this soon and you will understand my description of problem.

Package: system-config-samba-1.2.97-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 10 Rui Mota 2012-05-13 21:26:06 EDT
Just oppened system-config-samba.
It no longer works.


Package: system-config-samba-1.2.97-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 11 Tony 2012-05-14 05:59:56 EDT
After installing samba, and a reboot, I wanted to start samba, then this message occures

Package: system-config-samba-1.2.97-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 12 Quentin Armitage 2012-05-14 09:36:50 EDT
Attempted to run system-config-samba. After several seconds of waiting, before it displayed any form, it terminated.

Package: system-config-samba-1.2.97-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 13 lovyagin 2012-05-15 05:47:11 EDT
Just tried to start system-config-samba.

Package: system-config-samba-1.2.96-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 14 Nils Philippsen 2012-05-15 08:38:02 EDT
(In reply to comment #9)
> Package system-config-samba crashes when I start it. I have to downgrade python
> and python-libs for fix this.

With which version of python/python-libs do you see the problem and with which not?
Comment 15 tom 2012-05-15 10:50:42 EDT
Don't know. Just installed and tried running for first time.

Package: system-config-samba-1.2.97-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 16 DON 2012-05-16 23:46:52 EDT
my samba server doesn't start it shows error in system config

Package: system-config-samba-1.2.96-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 17 Flóki Pálsson 2012-05-17 16:38:20 EDT
Starting system-config-samba form menu fallbackmode.  Works if started as root.

Package: system-config-samba-1.2.97-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 18 Piotr Maciejko 2012-05-19 15:07:38 EDT
All works fine after latest actualisation, but SELinux send alert when I start system-config-samba:
SELinux is preventing /usr/bin/python2.7 from execute access on the plik /bin/systemd.

Komputer                      NB-Piotr
Źródłowe pakiety RPM          python-2.7.3-1.fc16.x86_64
Docelowe pakiety RPM          systemd-37-19.fc16.x86_64
Pakiet RPM polityki           selinux-policy-3.10.0-86.fc16.noarch
SELinux jest włączony         True
Comment 19 Fedora End Of Life 2013-07-03 21:24:36 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 20 Fedora End Of Life 2013-08-01 01:47:08 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.